<?xml version="1.0"?>
<doc>
    <assembly>
        <name>PMS.NetCore</name>
    </assembly>
    <members>
        <member name="M:PMS.NetCore.Controllers.BaseController.SetCookies(System.String,System.String,System.Int32)">
            <summary>
            设置本地cookie
            </summary>
            <param name="key">键</param>
            <param name="value">值</param>
            <param name="minutes">过期时长，单位：分钟</param>
        </member>
        <member name="M:PMS.NetCore.Controllers.BaseController.DeleteCookies(System.String)">
            <summary>
            删除指定的cookie
            </summary>
            <param name="key">键</param>
        </member>
        <member name="M:PMS.NetCore.Controllers.BaseController.GetCookies(System.String)">
            <summary>
            获取cookies
            </summary>
            <param name="key">键</param>
            <returns>返回对应的值</returns>
        </member>
        <member name="T:PMS.NetCore.Controllers.CustomerController">
            <summary>
            客户信息
            </summary>
        </member>
        <member name="M:PMS.NetCore.Controllers.CustomerController.#ctor">
            <summary>
            客户关系
            </summary>
        </member>
        <member name="M:PMS.NetCore.Controllers.CustomerController.GetFdc_pm_ownerList">
            <summary>
            获取房主资料列表
            </summary>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.CustomerController.GetFdc_pm_owner(Sugar.Enties.SingleParamDTO)">
            <summary>
            获取房产资料实例
            </summary>
            <param name="dto">房号</param>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.CustomerController.Fdc_pm_ownerAdd(System.Collections.Generic.List{Sugar.Enties.fdc_pm_owner})">
            <summary>
            业主资料添加
            </summary>
            <param name="list">业主资料列表</param>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.CustomerController.GetFdc_pm_ownerhouseList">
            <summary>
            获取房间客户关系列表
            </summary>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.CustomerController.GetFdc_pm_ownerhouse(Sugar.Enties.SingleParamDTO)">
            <summary>
            获取房间客户关系实例
            </summary>
            <param name="dto">房号</param>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.CustomerController.Fdc_pm_ownerhouseAdd(System.Collections.Generic.List{Sugar.Enties.fdc_pm_ownerhouse})">
            <summary>
            房间客户关系添加
            </summary>
            <param name="list">房间客户关系实例</param>
            <returns></returns>
        </member>
        <member name="T:PMS.NetCore.Controllers.OrganizationController">
            <summary>
            机构人员
            </summary>
        </member>
        <member name="M:PMS.NetCore.Controllers.OrganizationController.GetCorpsList">
            <summary>
            获取组织机构列表
            </summary>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.OrganizationController.GetCorps(Sugar.Enties.SingleParamDTO)">
            <summary>
            根据单位编号获取组织机构实例
            </summary>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.OrganizationController.CorpsAdd(Sugar.Enties.corps)">
            <summary>
            添加组织机构
            </summary>
            <param name="model"></param>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.OrganizationController.CorpsUpdate(Sugar.Enties.corps)">
            <summary>
            修改组织机构
            </summary>
            <param name="model"></param>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.OrganizationController.CorpsDelete(Sugar.Enties.SingleParamDTO)">
            <summary>
            删除组织机构
            </summary>
            <param name="dto"></param>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.OrganizationController.GetDeptsList">
            <summary>
            获取部门档案列表
            </summary>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.OrganizationController.GetDepts(Sugar.Enties.SingleParamDTO)">
            <summary>
            根据单位编号获取部门实例
            </summary>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.OrganizationController.DeptsAdd(Sugar.Enties.depts)">
            <summary>
            添加部门档案
            </summary>
            <param name="model"></param>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.OrganizationController.DeptsUpdate(Sugar.Enties.depts)">
            <summary>
            修改部门档案
            </summary>
            <param name="model"></param>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.OrganizationController.DeptsDelete(Sugar.Enties.SingleParamDTO)">
            <summary>
            删除部门
            </summary>
            <param name="dto"></param>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.OrganizationController.GetUsersList(System.String,System.String,System.String,System.String,System.String,System.String)">
            <summary>
            用户信息查询
            </summary>
            <param name="DeptCode">部门代码</param>
            <param name="staffcode">用户唯一标识码</param>
            <param name="username">用户名</param>
            <param name="station">岗位代码</param>
            <param name="issystem">是否系统管理员</param>
            <param name="islock">用户是否锁定</param>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.OrganizationController.GetMaxStaffCode">
            <summary>
            获取工号最大值
            </summary>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.OrganizationController.UsersAdd(Sugar.Enties.users)">
            <summary>
            员工添加
            </summary>
            <param name="users"></param>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.OrganizationController.GetUsers(System.String)">
            <summary>
            根据工号获取单个员工信息
            </summary>
            <param name="staffcode">工号</param>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.OrganizationController.UsersUpdate(Sugar.Enties.users)">
            <summary>
            员工修改
            </summary>
            <param name="users"></param>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.OrganizationController.UsersDelete(Sugar.Enties.SingleParamDTO)">
            <summary>
            删除员工
            </summary>
            <param name="dto"></param>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.OrganizationController.SetStaffStatus(System.String,System.String)">
            <summary>
            设置员工状态
            </summary>
            <param name="staffcode">工号</param>
            <param name="status">状态：在岗，待岗，休班</param>
            <returns></returns>
        </member>
        <member name="T:PMS.NetCore.Controllers.PayCostController">
            <summary>
            缴费信息接口
            </summary>
        </member>
        <member name="M:PMS.NetCore.Controllers.PayCostController.GetTenantInfo(System.String)">
            <summary>
            获取租户信息
            </summary>
            <param name="phone">手机号</param>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.PayCostController.BindTenant(Sugar.Enties.BindTenantInput)">
            <summary>
            绑定租户
            </summary>
            <param name="input">绑定相关信息</param>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.PayCostController.GetPaymentInfos(Sugar.Enties.PaymentInput)">
            <summary>
            获取缴费信息
            </summary>
            <param name="input"></param>
            <returns></returns>
        </member>
        <member name="T:PMS.NetCore.Controllers.PaypalController">
            <summary>
            收款通企业收银台接口
            </summary>
        </member>
        <member name="M:PMS.NetCore.Controllers.PaypalController.PaymentNotice(PMS.NetCore.Controllers.PaypalReq)">
            <summary>
            支付结果通知
            </summary>
            <returns></returns>
        </member>
        <member name="T:PMS.NetCore.Controllers.PaypalReq">
            <summary>
            支付结果通知请求参数
            1. 仅通知成功交易（线下交易模式会以收方账户动账为主进行通知）；
            2. 通知会存在重复通知，请兼容重复通知的场景；
            3. 不作为结果唯一标准，请以单笔查询为准； 
            </summary>
        </member>
        <member name="P:PMS.NetCore.Controllers.PaypalReq.version">
            <summary>
            版本号  固定1.0
            </summary>
        </member>
        <member name="P:PMS.NetCore.Controllers.PaypalReq.txCode">
            <summary>
            交易码  该接口固定为：BILPAY
            </summary>
        </member>
        <member name="P:PMS.NetCore.Controllers.PaypalReq.merchId">
            <summary>
            缴费平台商户编号
            </summary>
        </member>
        <member name="P:PMS.NetCore.Controllers.PaypalReq.cmbOrderId">
            <summary>
            缴费平台流水号 缴费平台针对每笔交易唯一键值 建议商户落地保存
            </summary>
        </member>
        <member name="P:PMS.NetCore.Controllers.PaypalReq.orderId">
            <summary>
            商户方订单号 作为商户方订单唯一键值标识
            </summary>
        </member>
        <member name="P:PMS.NetCore.Controllers.PaypalReq.payNo">
            <summary>
            缴费编号，请求商户方，获取缴费信息
            </summary>
        </member>
        <member name="P:PMS.NetCore.Controllers.PaypalReq.trnAmt">
            <summary>
            缴费金额  非0的整数字符串，单位分
            </summary>
        </member>
        <member name="P:PMS.NetCore.Controllers.PaypalReq.settleBatch">
            <summary>
            缴费批次   缴费平台批次号（一般跟交易发生日期一致，主要用于对账选择交易的范围，日终核对时，缴费平台按此值筛选发送明细数据）建议商户落地保存
            </summary>
        </member>
        <member name="P:PMS.NetCore.Controllers.PaypalReq.merchBatch">
            <summary>
            商户批次按照商户查询响应中的批次(非必填字段)
            </summary>
        </member>
        <member name="P:PMS.NetCore.Controllers.PaypalReq.trnDate">
            <summary>
            缴费日期  支付完成时间格式YYYYMMDD
            </summary>
        </member>
        <member name="P:PMS.NetCore.Controllers.PaypalReq.trnTime">
            <summary>
            缴费时间  支付完成时间格式24HHmmSS
            </summary>
        </member>
        <member name="P:PMS.NetCore.Controllers.PaypalReq.trnStatus">
            <summary>
            支付状态 支付状态，Y:成功；N:失败；R:退款；T:支付中   非必填字段
            </summary>
        </member>
        <member name="P:PMS.NetCore.Controllers.PaypalReq.rcvAccNo">
            <summary>
            商户方账户  非必填字段
            </summary>
        </member>
        <member name="P:PMS.NetCore.Controllers.PaypalReq.rcvAccName">
            <summary>
            商户方账户名称  非必填字段
            </summary>
        </member>
        <member name="P:PMS.NetCore.Controllers.PaypalReq.payAccNo">
            <summary>
            客户方账户  非必填字段
            </summary>
        </member>
        <member name="P:PMS.NetCore.Controllers.PaypalReq.payAccName">
            <summary>
            客户方账户名称  非必填字段
            </summary>
        </member>
        <member name="P:PMS.NetCore.Controllers.PaypalReq.payType">
            <summary>
            支付方式   02：一网通；03：招行线上app支付；10：微信；11：支付宝；12：转账码；13：虚拟户；14白名单；21：预付款全额抵扣；
            非必填字段
            </summary>
        </member>
        <member name="P:PMS.NetCore.Controllers.PaypalReq.orderType">
            <summary>
            通知模式  01：线上模式；02：线下模式
            </summary>
        </member>
        <member name="P:PMS.NetCore.Controllers.PaypalReq.note">
            <summary>
            商户保留字段  查询响应字段信息
            非必填字段
            </summary>
        </member>
        <member name="P:PMS.NetCore.Controllers.PaypalReq.hostSerial">
            <summary>
            主机流水号 主要为聚合订单号、转账模式的主机流水号、一网通订单号等信息
            非必填字段
            </summary>
        </member>
        <member name="P:PMS.NetCore.Controllers.PaypalReq.hostSettleBatch">
            <summary>
            主机缴费批次   
            线下接口使用
            </summary>
        </member>
        <member name="P:PMS.NetCore.Controllers.PaypalReq.hostRcvAccNo">
            <summary>
            商户方账户  
            线下接口使用
            非必填
            </summary>
        </member>
        <member name="P:PMS.NetCore.Controllers.PaypalReq.hostRcvAccName">
            <summary>
            商户方账户名称  
            线下接口使用
            非必填
            </summary>
        </member>
        <member name="P:PMS.NetCore.Controllers.PaypalReq.hostRcvAccBank">
            <summary>
            商户方开户行名称 
            线下接口使用
            非必填
            </summary>
        </member>
        <member name="P:PMS.NetCore.Controllers.PaypalReq.hostSubAccNo">
            <summary>
            虚拟子户
            线下接口使用
            非必填
            </summary>
        </member>
        <member name="P:PMS.NetCore.Controllers.PaypalReq.hostPayAccNo">
            <summary>
            客户方账户 
            线下接口使用
            非必填
            </summary>
        </member>
        <member name="P:PMS.NetCore.Controllers.PaypalReq.hostPayAccName">
            <summary>
            客户方户名
            线下接口使用
            非必填
            </summary>
        </member>
        <member name="P:PMS.NetCore.Controllers.PaypalReq.hostCurrencyNo">
            <summary>
            币种 
            线下接口使用
            非必填
            </summary>
        </member>
        <member name="P:PMS.NetCore.Controllers.PaypalReq.hostTrnDate">
            <summary>
            主机交易日期
            线下接口使用
            非必填
            </summary>
        </member>
        <member name="P:PMS.NetCore.Controllers.PaypalReq.hostTrnTime">
            <summary>
            主机交易时间
            线下接口使用
            非必填
            </summary>
        </member>
        <member name="P:PMS.NetCore.Controllers.PaypalReq.hostCustAbs">
            <summary>
            摘要
            线下接口使用
            非必填
            </summary>
        </member>
        <member name="P:PMS.NetCore.Controllers.PaypalReq.hostDrCr">
            <summary>
            借贷方向，D（debit）:借;C(credit):贷,站在商户方账户的角度
            线下接口使用
            非必填
            </summary>
        </member>
        <member name="P:PMS.NetCore.Controllers.PaypalReq.checkStatus">
            <summary>
            是否对账 Y:对账成功（勾连成功）；F:对账失败（挂账、匿名账务）；N（待处理对账）；B(手工对账)
            线下接口使用
            非必填
            </summary>
        </member>
        <member name="P:PMS.NetCore.Controllers.PaypalReq.hostTrnAmt">
            <summary>
            主机金额 非0的整数字符串，单位分
            线下接口使用
            非必填
            </summary>
        </member>
        <member name="T:PMS.NetCore.Controllers.PaypalRes">
            <summary>
            响应参数  
            1. 仅通知成功交易（线下交易模式会以收方账户动账为主进行通知）；
            2. 通知会存在重复通知，请兼容重复通知的场景；
            3. 不作为结果唯一标准，请以单笔查询为准；
            LX11C000 交易成功
            LX11CXXX 失败
            LX11C999 系统异常, 请稍后重试
            LX11C998 网络连接超时, 请稍后重试
            LX11C997 数据异常
            LX11C996 系统繁忙, 请稍后重试
            LX11C995 签名验证失败
            LX11C994 生成签名失败
            LX11C901 参数异常
            </summary>
        </member>
        <member name="P:PMS.NetCore.Controllers.PaypalRes.version">
            <summary>
            版本号 接口版本号，固定1.0
            </summary>
        </member>
        <member name="P:PMS.NetCore.Controllers.PaypalRes.txCode">
            <summary>
            校验码  该接口固定为：BILPAY
            </summary>
        </member>
        <member name="P:PMS.NetCore.Controllers.PaypalRes.respCode">
            <summary>
            响应码   LX11C000:交易成功  LX11CXXX:失败
            </summary>
        </member>
        <member name="P:PMS.NetCore.Controllers.PaypalRes.respDesc">
            <summary>
            响应描述
            </summary>
        </member>
        <member name="P:PMS.NetCore.Controllers.PaypalRes.merchId">
            <summary>
            商户号  缴费平台商户编号
            </summary>
        </member>
        <member name="P:PMS.NetCore.Controllers.PaypalRes.merchBatch">
            <summary>
            商户批次  非必填
            </summary>
        </member>
        <member name="T:PMS.NetCore.Controllers.SystemConfigurationController">
            <summary>
            系统配置
            </summary>
        </member>
        <member name="M:PMS.NetCore.Controllers.SystemConfigurationController.#ctor">
            <summary>
            系统配置
            </summary>
        </member>
        <member name="M:PMS.NetCore.Controllers.SystemConfigurationController.GetSettleTypeList">
            <summary>
            获取结算方式列表
            </summary>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.SystemConfigurationController.GetSettleType(Sugar.Enties.SingleParamDTO)">
            <summary>
            根据结算方式编码获取结算方式实例
            </summary>
            <param name="dto">结算方式编码</param>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.SystemConfigurationController.SettleTypeAdd(Sugar.Enties.settletype)">
            <summary>
            结算方式添加
            </summary>
            <param name="dto"></param>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.SystemConfigurationController.SettleTypeUpdate(Sugar.Enties.settletype)">
            <summary>
            结算方式修改
            </summary>
            <param name="dto"></param>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.SystemConfigurationController.SettleTypeDelete(Sugar.Enties.SingleParamDTO)">
            <summary>
            结算方式删除
            </summary>
            <param name="dto">结算方式主键值</param>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.SystemConfigurationController.GetCodeList(System.Int32,System.Int32)">
            <summary>
            分页获取会计科目
            </summary>
            <param name="pageIndex">页码</param>
            <param name="pageSize">页面条数</param>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.SystemConfigurationController.GetFdc_pm_operstateList">
            <summary>
            获取业态档案列表
            </summary>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.SystemConfigurationController.GetFdc_pm_operstate(Sugar.Enties.SingleParamDTO)">
            <summary>
            获取业态档案实例
            </summary>
            <param name="dto">业态档案主键值</param>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.SystemConfigurationController.Fdc_pm_operstateAdd(Sugar.Enties.fdc_pm_operstate)">
            <summary>
            业态档案添加
            </summary>
            <param name="dto"></param>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.SystemConfigurationController.Fdc_pm_operstateUpdate(Sugar.Enties.fdc_pm_operstate)">
            <summary>
            业态档案修改
            </summary>
            <param name="dto"></param>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.SystemConfigurationController.Fdc_pm_operstateDelete(Sugar.Enties.SingleParamDTO)">
            <summary>
            业态档案删除
            </summary>
            <param name="dto"></param>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.SystemConfigurationController.GetFdc_pm_modelList">
            <summary>
            获取户型档案列表
            </summary>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.SystemConfigurationController.GetFdc_pm_model(Sugar.Enties.SingleParamDTO)">
            <summary>
            获取户型档案实例
            </summary>
            <param name="dto">户型档案主键值</param>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.SystemConfigurationController.Fdc_pm_modelAdd(Sugar.Enties.fdc_pm_model)">
            <summary>
            户型档案添加
            </summary>
            <param name="dto">户型档案实例</param>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.SystemConfigurationController.Fdc_pm_modelDelete(Sugar.Enties.SingleParamDTO)">
            <summary>
            户型档案删除
            </summary>
            <param name="dto"></param>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.SystemConfigurationController.GetFdc_pm_directionList">
            <summary>
            获取朝向档案列表
            </summary>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.SystemConfigurationController.GetFdc_pm_direction(Sugar.Enties.SingleParamDTO)">
            <summary>
            获取户朝向案实例
            </summary>
            <param name="dto">朝向档案主键值</param>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.SystemConfigurationController.Fdc_pm_directionAdd(Sugar.Enties.fdc_pm_direction)">
            <summary>
            朝向档案添加
            </summary>
            <param name="dto">朝向档案实例</param>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.SystemConfigurationController.Fdc_pm_directionDelete(Sugar.Enties.SingleParamDTO)">
            <summary>
            朝向档案删除
            </summary>
            <param name="dto"></param>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.SystemConfigurationController.GetFdc_pm_projectList">
            <summary>
            获取项目档案列表
            </summary>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.SystemConfigurationController.GetFdc_pm_project(Sugar.Enties.SingleParamDTO)">
            <summary>
            获取项目档案实例
            </summary>
            <param name="dto">项目档案编码</param>
            <returns></returns>        
        </member>
        <member name="M:PMS.NetCore.Controllers.SystemConfigurationController.Fdc_pm_projectAdd(Sugar.Enties.fdc_pm_project)">
            <summary>
            项目档案添加
            </summary>
            <param name="dto">项目档案实例</param>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.SystemConfigurationController.Fdc_pm_projectUpdate(Sugar.Enties.fdc_pm_project)">
            <summary>
            项目档案修改
            </summary>
            <param name="dto">项目档案实例</param>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.SystemConfigurationController.Fdc_pm_projectDelete(Sugar.Enties.SingleParamDTO)">
            <summary>
            项目档案删除
            </summary>
            <param name="dto"></param>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.SystemConfigurationController.Getfdc_pm_managementsecList">
            <summary>
            管理处列表
            </summary>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.SystemConfigurationController.Getfdc_pm_managementsec(Sugar.Enties.SingleParamDTO)">
            <summary>
            获取管理处实例
            </summary>
            <param name="dto">管理处编码</param>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.SystemConfigurationController.fdc_pm_managementsecAdd(Sugar.Enties.fdc_pm_managementsec)">
            <summary>
            管理处添加
            </summary>
            <param name="dto">管理处实例</param>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.SystemConfigurationController.fdc_pm_managementsecUpdate(Sugar.Enties.fdc_pm_managementsec)">
            <summary>
            项目档案修改
            </summary>
            <param name="dto">项目档案实例</param>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.SystemConfigurationController.fdc_pm_managementsecDelete(Sugar.Enties.SingleParamDTO)">
            <summary>
            项目档案删除
            </summary>
            <param name="dto"></param>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.SystemConfigurationController.DistributionManagementBillsItem(System.String,System.String)">
            <summary>
            给管理处分配费用项目权限
            </summary>
            <param name="managementId">管理处编号</param>
            <param name="billsitemIds">费用项编号串，由逗号分割</param>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.SystemConfigurationController.Getfdc_pm_billsitemList">
            <summary>
            获取所有收费项
            </summary>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.SystemConfigurationController.GetFdc_pm_buildList(Sugar.Enties.SingleParamDTO)">
            <summary>
            获取楼栋列表
            </summary>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.SystemConfigurationController.GetFdc_pm_houseList">
            <summary>
            获取房产资料列表
            </summary>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.SystemConfigurationController.GetFdc_pm_house(Sugar.Enties.SingleParamDTO)">
            <summary>
            获取房产资料实例
            </summary>
            <param name="dto">房号</param>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.SystemConfigurationController.Fdc_pm_houseAdd(System.Collections.Generic.List{Sugar.Enties.fdc_pm_house})">
            <summary>
            房产资料添加Fdc_pm_housetAdd
            </summary>
            <param name="list">房产资料实例</param>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.SystemConfigurationController.Fdc_pm_houseUpdate(Sugar.Enties.fdc_pm_house)">
            <summary>
            房产资料修改
            </summary>
            <param name="dto">房产资料实例</param>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.SystemConfigurationController.Fdc_pm_houseDelete(Sugar.Enties.SingleParamDTO)">
            <summary>
            房产资料删除
            </summary>
            <param name="dto"></param>
            <returns></returns>
        </member>
        <member name="T:PMS.NetCore.Controllers.UserController">
            <summary>
            用户信息
            </summary>
        </member>
        <member name="F:PMS.NetCore.Controllers.UserController.EncryptKeyStr">
            <summary>
            加密关键字
            </summary>
        </member>
        <member name="F:PMS.NetCore.Controllers.UserController.tokenHelper">
            <summary>
            令牌获取和验证类
            </summary>
        </member>
        <member name="M:PMS.NetCore.Controllers.UserController.#ctor(Microsoft.Extensions.Caching.Memory.IMemoryCache,System.Net.Http.IHttpClientFactory,Microsoft.AspNetCore.Identity.UserManager{Sugar.Enties.AppUser},Microsoft.AspNetCore.Identity.SignInManager{Sugar.Enties.AppUser},Utils.Jwt.ITokenHelper,Microsoft.Extensions.Configuration.IConfiguration)">
            <summary>
            用户信息控制器
            </summary>
            <param name="memoryCache"></param>
            <param name="httpclientfactory"></param>
            <param name="userManager"></param>
            <param name="signInManager"></param>
            <param name="_tokenHelper"></param>
            <param name="configuration"></param>
        </member>
        <member name="M:PMS.NetCore.Controllers.UserController.Test">
            <summary>
            测试方法
            </summary>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.UserController.ValidateUser(Sugar.Enties.UserLoginDTO)">
            <summary>
            用户登录
            </summary>
            <param name="request">用户名，密码</param>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.UserController.GetRoles(Sugar.Enties.SingleParamDTO)">
            <summary>
            根据用户编号获取用户所有角色
            </summary>
            <param name="staffcode">用户编号</param>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.UserController.GetPrintfiles(Sugar.Enties.SingleParamDTO)">
            <summary>
            根据用户编号获取打印权限
            </summary>
            <param name="staffcode"></param>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.UserController.GetMsgtypes(Sugar.Enties.SingleParamDTO)">
            <summary>
            根据用户编号获取用户消息语句权限
            </summary>
            <param name="staffcode"></param>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.UserController.GetFuncs(Sugar.Enties.SingleParamDTO)">
            <summary>
            根据角色ID获取用户功能模块权限
            </summary>
            <param name="roleid"></param>
            <returns></returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.UserController.ComparePasswords(System.String,System.String)">
            <summary>
            比较存储在数据库中的用户密码和输入的用户密码是否一致
            </summary>
            <param name="storedPassword">存储在数据库中的用户密码</param>
            <param name="inputPassword">输入的用户密码</param>
            <returns>true or false</returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.UserController.Encrypt(System.String,System.String)">
            <summary>
            加密
            </summary>
            <param name="datastr">要加密的字符串</param>
            <param name="keystr">机密密钥</param>
            <returns>加密后的字符串</returns>
        </member>
        <member name="M:PMS.NetCore.Controllers.UserController.Decrypt(System.String,System.String)">
            <summary>
            解密
            </summary>
            <param name="datastr">要解密的字符串</param>
            <param name="keystr">机密密钥</param>
            <returns>解密后的字符串</returns>
        </member>
        <member name="M:PMS.NetCore.Filter.TokenAuthorize.#ctor(Utils.Jwt.ITokenHelper,Microsoft.Extensions.Options.IOptions{Utils.Jwt.JWTConfig})">
            <summary>
            过滤器实现通用token验证
            </summary>
            <param name="_tokenHelper"></param>
            <param name="options"></param>
        </member>
        <member name="M:PMS.NetCore.Filter.TokenAuthorize.HasAllowAnonymous(Microsoft.AspNetCore.Mvc.Filters.AuthorizationFilterContext)">
            <summary>
            用于判断Action有没有AllowAnonymous标签
            </summary>
            <param name="context"></param>
            <returns></returns>
        </member>
    </members>
</doc>
